% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/header_tools.r
\name{crs_tools}
\alias{crs_tools}
\alias{header_get_epsg}
\alias{header_set_epsg}
\alias{header_get_wktcs}
\alias{header_set_wktcs}
\title{Coordinate Reference System Tools}
\usage{
header_get_epsg(header)

header_set_epsg(header, epsg)

header_get_wktcs(header)

header_set_wktcs(header, WKT)
}
\arguments{
\item{header}{list}

\item{epsg}{integer. An EPSG code}

\item{WKT}{string. A string of an WKT OGC CS}
}
\description{
Functions that update a header to describe coordinates reference system according to the
\href{https://www.asprs.org/a/society/committees/standards/LAS_1_4_r13.pdf}{LAS specifications}
}
\seealso{
Other header_tools: \code{\link{extra_bytes_attribute_tools}},
  \code{\link{public_header_block_tools}}
}
\concept{header_tools}
